diff --git a/Languages/ISO639-1-LanguageCodes.rdf b/Languages/ISO639-1-LanguageCodes.rdf
index 9509456..ab6fda3 100644
--- a/Languages/ISO639-1-LanguageCodes.rdf
+++ b/Languages/ISO639-1-LanguageCodes.rdf
@@ -2425,9 +2425,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Chamorro</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Chamorro language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Chamorro</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">chamorro</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Chamorro-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Chamorro</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">chamorro</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Chamorro-Sprache</lcc-lr:hasGermanName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -2436,11 +2436,11 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Chechen</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Chechen language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Chechen</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">tch&#233;tch&#232;ne</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Tschetschenisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">noh&#269;ijn mott</lcc-lr:hasIndigenousName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">nox&#231;iyn mott</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Chechen</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">tchétchène</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Tschetschenisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">nohčijn mott</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">noxçiyn mott</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -2449,9 +2449,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Chinese</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Chinese languages</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Chinese</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">chinois</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Chinesisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Chinese</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">chinois</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Chinesisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">zhongwen</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2461,17 +2461,17 @@
         <rdf:type rdf:resource="&lcc-lr;AncientLanguage"/>
         <rdfs:label>Church Slavic</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Church Slavic language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Church Slavic</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Church Slavonic</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Old Bulgarian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Old Church Slavonic</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Old Slavonic</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">slavon d'&#233;glise</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">slavon liturgique</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">vieux bulgare</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">vieux slave</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Kirchenslawisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">cerkovno-slav&#226;nskij</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Church Slavic</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Church Slavonic</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Old Bulgarian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Old Church Slavonic</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Old Slavonic</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">slavon d'église</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">slavon liturgique</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">vieux bulgare</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">vieux slave</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Kirchenslawisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">cerkovno-slavânskij</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -2480,10 +2480,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Chuvash</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Chuvash language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Chuvash</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">tchouvache</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Tschuwaschisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">&#269;&#462;va&#353; &#269;&#283;lhi</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Chuvash</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">tchouvache</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Tschuwaschisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">čǎvaš čělhi</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -2492,9 +2492,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Cornish</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Cornish language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Cornish</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">cornique</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Kornisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Cornish</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">cornique</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Kornisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">Kernewek</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2504,9 +2504,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Corsican</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Corsican language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Corsican</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">corse</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Korsisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Corsican</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">corse</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Korsisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">corsu</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2516,10 +2516,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Cree</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Cree languages</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Cree</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">cree</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Cree-Sprache</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">n&#234;hiyawa</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Cree</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">cree</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Cree-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">nêhiyawa</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -2528,9 +2528,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Croatian</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Croatian language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Croatian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">croate</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Kroatisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Croatian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">croate</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Kroatisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">hrvatski jezik</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2540,10 +2540,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Czech</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Czech language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Czech</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">tch&#232;que</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Tschechisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">&#269;esk&#253; jazyk</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Czech</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">tchèque</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Tschechisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">český jazyk</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -2552,9 +2552,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Danish</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Danish language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Danish</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">danois</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">D&#228;nisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Danish</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">danois</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Dänisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">dansk</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2564,11 +2564,11 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Dhivehi</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Divehi language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Dhivehi</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Divehi</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Maldivian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">maldivien</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Maledivisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Dhivehi</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Divehi</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Maldivian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">maldivien</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Maledivisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">dhivehi</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2578,11 +2578,11 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Dutch</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Dutch language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Dutch</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Flemish</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">n&#233;erlandais</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">flamand</lcc-lr:hasFrenchName>  
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Niederl&#228;ndisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Dutch</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Flemish</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">néerlandais</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">flamand</lcc-lr:hasFrenchName>  
+        <lcc-lr:hasGermanName xml:lang="ge">Niederländisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">Nederlands</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2592,12 +2592,12 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Dzongkha</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Dzongkha language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Bhutani</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Butanese</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Dzongkha</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">bhoutani</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">dzongkha</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Dzongkha</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Bhutani</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Butanese</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Dzongkha</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">bhoutani</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">dzongkha</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Dzongkha</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">dzongkha</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2607,9 +2607,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>English</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">English language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">English</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">anglais</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Englisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">English</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">anglais</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Englisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">English</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2619,9 +2619,9 @@
         <rdf:type rdf:resource="&lcc-lr;ArtificialLanguage"/>
         <rdfs:label>Esperanto</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Esperanto language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Esperanto</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">esp&#233;ranto</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Esperanto</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Esperanto</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">espéranto</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Esperanto</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">esperanto</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2631,9 +2631,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Estonian</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Estonian language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Estonian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">estonien</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Estnisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Estonian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">estonien</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Estnisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">eesti keel</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2643,9 +2643,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Ewe</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Ewe language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Ewe</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">&#233;w&#233;</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Ewe-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Ewe</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">éwé</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Ewe-Sprache</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">eve</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2655,11 +2655,11 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Faroese</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Faroese language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Faeroese</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Faroese</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">f&#233;ro&#239;en</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">F&#228;r&#246;isch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">f&#248;royskt</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Faeroese</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Faroese</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">féroïen</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Färöisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">føroyskt</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -2668,9 +2668,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Fijian</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Fijian language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Fijian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">fidjien</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Fidschi-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Fijian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">fidjien</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Fidschi-Sprache</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">Na Vosa Vakaviti</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2680,9 +2680,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Finnish</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Finnish language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Finnish</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">finnois</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Finnisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Finnish</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">finnois</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Finnisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">suomen kieli</lcc-lr:hasIndigenousName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">suomi</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
@@ -2693,10 +2693,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>French</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">French language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">French</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">fran&#231;ais</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Franz&#246;sisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">fran&#231;ais</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">French</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">français</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Französisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">français</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -2705,11 +2705,11 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Western Frisian</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Western Frisian language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Frisian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Western Frisian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">frison</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">frison occidental</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Friesisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Frisian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Western Frisian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">frison</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">frison occidental</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Friesisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">frysk</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2719,13 +2719,13 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Fulah</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Fulah languages</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Fula</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Fulah</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Fulani</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Fulfulde</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Peul</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">peul</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Ful</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Fula</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Fulah</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Fulani</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Fulfulde</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Peul</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">peul</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Ful</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">fulfulde</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2735,10 +2735,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Galician</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Galician; Gallegan language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Galician</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Gallegan</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">galicien</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Galicisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Galician</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Gallegan</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">galicien</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Galicisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">galego</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2748,11 +2748,11 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Ganda</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Ganda language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Ganda</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Luganda</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">ganda</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">louganda</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Ganda-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Ganda</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Luganda</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">ganda</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">louganda</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Ganda-Sprache</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">luganda</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2762,9 +2762,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Georgian</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Georgian language</skos:definition>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">g&#233;orgien</lcc-lr:hasFrenchName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Georgian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Georgisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasFrenchName xml:lang="fr">géorgien</lcc-lr:hasFrenchName>
+        <lcc-lr:hasEnglishName xml:lang="en">Georgian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasGermanName xml:lang="ge">Georgisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">k'art'uli ena</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2774,9 +2774,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>German</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">German language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">German</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">allemand</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Deutsch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">German</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">allemand</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Deutsch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">Deutsch</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2786,10 +2786,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Modern Greek</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Modern Greek (post 1453-) language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Modern Greek</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">grec moderne (apr&#232;s 1453)</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Neugriechisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">ellinik&#225;</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Modern Greek</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">grec moderne (après 1453)</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Neugriechisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">elliniká</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
